[lkml]   [2011]   [Sep]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
Messages in this thread
    SubjectRe: [PATCH] iommu/omap: Fix build error with !IOMMU_SUPPORT
    On Wed, Sep 14, 2011 at 02:57:13PM -0400, Ohad Ben-Cohen wrote:
    > On Wed, Sep 14, 2011 at 5:07 PM, Joerg Roedel <> wrote:
    > > Without this patch it is possible to select the VIDEO_OMAP3
    > > driver which then selects OMAP_IOVMM. But the omap iommu
    > > driver is not compiled without IOMMU_SUPPORT enabled. Fix
    > > that by forcing OMAP_IOMMU and OMAP_IOVMM are enabled before
    > > VIDEO_OMAP3 can be selected.
    > I'm ok with this but wouldn't it be simpler if we drop IOMMU_SUPPORT
    > altogether (and just use a plain menu instead) ?
    > Users will then be presented with only a single iommu-related
    > question: whether they want their iommu driver built or not.

    This doesn't work on platforms that may have more than one possible
    iommu driver, like x86 for example.


    AMD Operating System Research Center

    Advanced Micro Devices GmbH Einsteinring 24 85609 Dornach
    General Managers: Alberto Bozzo, Andrew Bowd
    Registration: Dornach, Landkr. Muenchen; Registerger. Muenchen, HRB Nr. 43632

     \ /
      Last update: 2011-09-15 12:47    [W:0.027 / U:16.780 seconds]
    ©2003-2016 Jasper Spaans. hosted at Digital OceanAdvertise on this site